Package io.vertx.rxjava.ext.web.handler

## Class TimeoutHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.TimeoutHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `PlatformHandler`

      public class TimeoutHandler
      extends Object
      implements PlatformHandler, Handler<RoutingContext>

  Handler that will timeout requests if the response has not been written after a certain time. Timeout requests will be ended with an HTTP status code `503`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<TimeoutHandler>` | `__TYPE_ARG` |
    `static int` | `DEFAULT_ERRORCODE` | The default error code
    `static long` | `DEFAULT_TIMEOUT` | The default timeout, in ms

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeoutHandler​(TimeoutHandler delegate)` |
    `TimeoutHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TimeoutHandler` | `create()` | Create a handler
    `static TimeoutHandler` | `create​(long timeout)` | Create a handler
    `static TimeoutHandler` | `create​(long timeout, int errorCode)` | Create a handler
    `boolean` | `equals​(Object o)` |
    `TimeoutHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static TimeoutHandler` | `newInstance​(TimeoutHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TimeoutHandler> __TYPE_ARG

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      The default timeout, in ms
      See Also:
        Constant Field Values

    - #### DEFAULT_ERRORCODE

          public static final int DEFAULT_ERRORCODE

      The default error code
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimeoutHandler

          public TimeoutHandler​(TimeoutHandler delegate)

    - #### TimeoutHandler

          public TimeoutHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TimeoutHandler getDelegate()

      Specified by:
        `getDelegate` in interface `PlatformHandler`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `PlatformHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static TimeoutHandler create()

      Create a handler
      Returns:
        the handler

    - #### create

          public static TimeoutHandler create​(long timeout)

      Create a handler
      Parameters:
        `timeout` - the timeout, in ms
      Returns:
        the handler

    - #### create

          public static TimeoutHandler create​(long timeout,
                                              int errorCode)

      Create a handler
      Parameters:
        `timeout` - the timeout, in ms
        `errorCode` -
      Returns:
        the handler

    - #### newInstance

          public static TimeoutHandler newInstance​(TimeoutHandler arg)